<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/all_of_main_bg"
    tools:context=".ui.UseSoundActivity">

    <ImageView
        android:id="@+id/back"
        android:layout_width="45dp"
        android:layout_height="45dp"
        android:layout_marginTop="45dp"
        android:padding="12dp"
        android:src="@drawable/close_finishs"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:tint="@color/main_title_text" />
    <com.design.mischiefgo.ut.DefaultTextView
        android:id="@+id/title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="@string/app_name"
        android:textColor="@color/main_title_text"
        android:textSize="23sp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@+id/back"
        app:layout_constraintBottom_toBottomOf="@+id/back"
        app:layout_constraintEnd_toEndOf="parent"
        android:layout_gravity="center"
        android:textStyle="bold" />
    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginTop="20dp"
        app:layout_constraintBottom_toBottomOf="parent"
        android:fillViewport="true"
        app:layout_constraintTop_toBottomOf="@+id/back">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <RelativeLayout
                android:id="@+id/top"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@drawable/white_35_all_radius"
                app:layout_constraintTop_toTopOf="parent">

                <androidx.cardview.widget.CardView
                    android:id="@+id/cardView"
                    android:layout_width="200dp"
                    android:layout_height="200dp"
                    android:layout_centerHorizontal="true"
                    android:layout_marginTop="100dp"
                    app:cardCornerRadius="150dp">

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:background="@drawable/use_sound_oval_bg" />

                    <ImageView
                        android:id="@+id/imgRecord"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:scaleType="centerCrop" />
                </androidx.cardview.widget.CardView>

                <LinearLayout
                    android:id="@+id/llSet"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/cardView"
                    android:layout_marginTop="36dp"
                    android:gravity="center"
                    android:orientation="vertical">
                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:id="@+id/layoutPlay"
                        android:layout_width="50dp"
                        android:layout_height="50dp"
                        android:layout_gravity="center"
                        android:layout_marginTop="10dp">

                        <ImageView
                            android:id="@+id/toPlay"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:src="@drawable/start_play_121"
                            android:visibility="gone"
                            app:tint="@color/temp_button" />

                        <ImageView
                            android:id="@+id/playing"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:src="@drawable/wavy_ic"
                            android:visibility="gone"
                            app:tint="@color/temp_button" />

                        <ProgressBar
                            android:id="@+id/playLoading"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:indeterminateTint="@color/temp_button" />
                    </androidx.constraintlayout.widget.ConstraintLayout>
                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginHorizontal="25dp"
                        android:gravity="center"
                        android:background="@drawable/stroke_brown_sel_choose"
                        android:layout_marginTop="20dp"
                        android:paddingHorizontal="20dp"
                        android:paddingVertical="5dp"
                        android:orientation="horizontal">


                        <ImageView
                            android:id="@+id/im_loop"
                            android:layout_width="40dp"
                            android:layout_height="40dp"
                            android:padding="5dp"
                            android:src="@drawable/play_selector"
                             />

                        <ImageView
                            android:id="@+id/im_timer"
                            android:layout_width="40dp"
                            android:layout_height="40dp"
                            android:layout_marginStart="15dp"
                            android:padding="4dp"
                            android:src="@drawable/clock_selector" />

                        <ImageView
                            android:id="@+id/im_like"
                            android:layout_width="40dp"
                            android:layout_height="40dp"
                            android:layout_marginStart="15dp"
                            android:padding="5dp"
                            android:src="@drawable/punctate_selector" />
                    </LinearLayout>

                    <RelativeLayout
                        android:id="@+id/layoutVolume"
                        android:layout_width="match_parent"
                        android:layout_height="52dp"
                        android:layout_marginStart="20dp"
                        android:layout_marginEnd="20dp"
                        android:layout_marginVertical="20dp"
                        android:paddingEnd="10dp">

                        <ImageView
                            android:id="@+id/im"
                            android:layout_width="30dp"
                            android:layout_height="30dp"
                            android:layout_centerVertical="true"
                            android:src="@drawable/trumpet_ic"
                            app:tint="@color/main_title_text" />

                        <SeekBar
                            android:id="@+id/seekbar"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:layout_toEndOf="@id/im"
                            android:maxHeight="5dp"
                            android:progress="10"
                            android:progressDrawable="@drawable/start_joke_bg"
                            android:thumb="@drawable/use_sound_radius" />
                    </RelativeLayout>

                </LinearLayout>
            </RelativeLayout>

            <View
                android:layout_width="1dp"
                android:layout_height="0dp"
                android:layout_weight="1"/>
            <LinearLayout
                android:id="@+id/llrec"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <com.design.mischiefgo.ut.DefaultTextView
                    android:id="@+id/more"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="5dp"
                    android:paddingHorizontal="10dp"
                    android:paddingVertical="5dp"
                    android:text="@string/more_pranks"
                    android:textColor="@color/white"
                    android:textSize="18sp"
                    android:textStyle="bold"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/recyclerView"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:background="@drawable/white_35_all_radius"
                    android:paddingVertical="10dp" />
            </LinearLayout>
        </LinearLayout>
    </androidx.core.widget.NestedScrollView>

</androidx.constraintlayout.widget.ConstraintLayout>